# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayNodeOfFieldOfHArray2OfXYZ Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray2OfXYZ.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray2OfXYZ:

[legend]

## Public Member Functions

Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray2OfXYZ ()
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray2OfXYZ (const gp_XYZ &aValue)
Standard_EXPORT void | SetValue (const gp_XYZ &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray2OfXYZ (const Storage_stCONSTclCOM &a)
const gp_XYZ & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray2OfXYZmyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::PColgp_VArrayNodeOfFieldOfHArray2OfXYZ | ( |  | ) |

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::PColgp_VArrayNodeOfFieldOfHArray2OfXYZ | ( | const gp_XYZ & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::PColgp_VArrayNodeOfFieldOfHArray2OfXYZ | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_XYZ& PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray2OfXYZmyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::SetValue | ( | const gp_XYZ & | aValue | ) |

Standard_EXPORT Standard_Address PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::Value | ( |  | ) | const

## Field Documentation

gp_XYZ PColgp_VArrayNodeOfFieldOfHArray2OfXYZ::myValue `[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray2OfXYZ.hxx